#!/bin/bash
set -e

PLUGIN=$1
TYPE=$2

read -p "Releasing new $TYPE version of $PLUGIN plugin. Does this sound right? [y/n] " confirmation

if [ $confirmation != "y" ]; then
  echo "Exiting..."
  exit
fi

echo "Build distribution files for all plugins..."
yarn build

cd "plugins/$PLUGIN"

echo "Bump package.json version..."
npm version $TYPE

# Version key/value should be on it's own line
# https://gist.github.com/DarrenN/8c6a5b969481725a4413
PACKAGE_VERSION=$(node -pe "require('./package.json').version")

echo "Version bumped to $PACKAGE_VERSION"

PACKAGE_NAME=$(node -pe "require('./package.json').name")

echo "Publish $PACKAGE_NAME to npm..."
yarn publish --new-version $PACKAGE_VERSION

echo "Package.json file..."
git add package.json CHANGELOG.md

git commit -m "chore(release): release $PACKAGE_NAME@$PACKAGE_VERSION"

echo "Push changes to master..."
git push origin master